# Transactions

These endpoints allow you to manage transactions on the Fordefi platform.
        <br><br>
        A transaction represents an operation that can be one of the following:
        <ul>
        <li>An on-chain action that modifies blockchain state</li>
        <li>An off-chain cryptographically signed message or data</li>
        </ul>
        Consult the developer guide for more information on
        <a href='https://docs.fordefi.com/developers/getting-started/create-and-authenticate-transactions'>creating</a>,
        <a href='https://docs.fordefi.com/developers/monitor-transactions'>monitoring</a>,
        and <a href='https://docs.fordefi.com/developers/simulate-transactions'>simulating</a> tranasctions.

## Export Transactions

 - [GET /api/v1/transactions/export](https://docs.fordefi.com/api/latest/openapi/transactions/export_transactions_api_v1_transactions_export_get.md): Start the export process for filtered transactions using cursor pagination.

## Get Transaction

 - [GET /api/v1/transactions/{id}](https://docs.fordefi.com/api/latest/openapi/transactions/get_transaction_api_v1_transactions__id__get.md): Retrieve transaction details.

## List Transactions

 - [GET /api/v1/transactions](https://docs.fordefi.com/api/latest/openapi/transactions/list_transactions_api_v1_transactions_get.md): Get a list of all transactions in an organization.

## Create Transaction

 - [POST /api/v1/transactions](https://docs.fordefi.com/api/latest/openapi/transactions/create_transaction_api_v1_transactions_post.md): Create a new transaction.

## Create Transfer

 - [POST /api/v1/transactions/transfer](https://docs.fordefi.com/api/latest/openapi/transactions/create_transfer_api_v1_transactions_transfer_post.md): Create basic transfer transaction.

## Create Transaction And Wait

 - [POST /api/v1/transactions/create-and-wait](https://docs.fordefi.com/api/latest/openapi/transactions/create_transaction_and_wait_api_v1_transactions_create_and_wait_post.md): Create a new transaction and wait until transaction reaches given state.

## Approve Transaction

 - [POST /api/v1/transactions/{id}/approve](https://docs.fordefi.com/api/latest/openapi/transactions/approve_transaction_api_v1_transactions__id__approve_post.md): Approve a transaction.

A transaction awaits approval when the caller API user has been specified as a
potential approver in the policy and the transaction
is in the waiting_for_approval state.

## Abort Transaction

 - [POST /api/v1/transactions/{id}/abort](https://docs.fordefi.com/api/latest/openapi/transactions/abort_transaction_api_v1_transactions__id__abort_post.md): Abort a transaction.

Abort is possible only for a transaction that is in one of the following states:
   
   Waiting for approval
   Approved
   Finalized for signing
   

The aborting user must be one of the following:

The user who created the transaction
An admin
A legitimate approver


API users can abort only the transactions they created.

## Release Transaction

 - [POST /api/v1/transactions/{id}/release](https://docs.fordefi.com/api/latest/openapi/transactions/release_transaction_api_v1_transactions__id__release_post.md): Release a transaction.

## Predict Transaction

 - [POST /api/v1/transactions/predict](https://docs.fordefi.com/api/latest/openapi/transactions/predict_transaction_api_v1_transactions_predict_post.md): Simulate the transaction and changes in token
balances, in addition to the fee estimation.

## Push Transaction

 - [POST /api/v1/transactions/{id}/push](https://docs.fordefi.com/api/latest/openapi/transactions/push_transaction_api_v1_transactions__id__push_post.md): Push an existing signed transaction to the chain. The transaction must
have been previously created with a push_mode: manual flag and must now
be in state signed.

## Update Transaction Spam State

 - [PUT /api/v1/transactions/{id}/update-spam-state](https://docs.fordefi.com/api/latest/openapi/transactions/update_transaction_spam_state_api_v1_transactions__id__update_spam_state_put.md): Update transaction's spam state.

## Trigger Transaction Signing

 - [POST /api/v1/transactions/{id}/trigger-signing](https://docs.fordefi.com/api/latest/openapi/transactions/trigger_transaction_signing_api_v1_transactions__id__trigger_signing_post.md): Trigger transaction signing.

